layered-graph.hpp File Reference
`#include <climits>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Extensional::VarTraits< Var >
| Traits class for variables. More...
class | Gecode::Int::Extensional::VarTraits< IntVar >
| Traits class for variables. More...
class | Gecode::Int::Extensional::VarTraits< BoolVar >
| Traits class for variables. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Extensional
| Extensional propagators

## Functions

template<class Var>
ExecStatus | Gecode::Int::Extensional::post_lgp (Home home, const VarArgArray< Var > &x, const DFA &dfa)
| Select small types for the layered graph propagator.